<div class="question-list" {{did-insert this.setup}}>
  {{#each this.fields as |field|}}
    <Attributes::Value
      @question={{field.question}}
      @name={{field.name}}
      @colValue={{@colValue}}
      @path={{@path}}
      @value={{field.value}}
      @help={{field.help}}
      @format={{field.type}}
      @disabled={{field.disabled}}
      @options={{field.options}}
      @isEditor={{@isEditor}}
      @isRequired={{field.isRequired}}
      @campaign={{@campaign}}
      @positionDetails={{@positionDetails}}
      @state={{@state}}
      @onChange={{this.change}}
      class="mb-3"
    />
  {{/each}}
</div>